From: Mikulas Patocka <mpatocka@redhat.com>

This patch suppresses this warning:

drivers/md/dm-raid.c: In function 'raid_ctr':
drivers/md/dm-raid.c:427:54: warning: 'rebuilds_per_group' may be used uninitialized in this function [-Wmaybe-uninitialized]
drivers/md/dm-raid.c:383:11: note: 'rebuilds_per_group' was declared here

The warning doesn't represent a real bug (rebuilds_per_group is always
initialized in the first iteration of a loop), but gcc can't deduce it.

Signed-off-by: Mikulas Patocka <mpatocka@redhat.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm-raid.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Index: linux/drivers/md/dm-raid.c
===================================================================
--- linux.orig/drivers/md/dm-raid.c
+++ linux/drivers/md/dm-raid.c
@@ -380,7 +380,7 @@ static int validate_region_size(struct r
 static int validate_raid_redundancy(struct raid_set *rs)
 {
 	unsigned i, rebuild_cnt = 0;
-	unsigned rebuilds_per_group, copies, d;
+	unsigned uninitialized_var(rebuilds_per_group), copies, d;
 	unsigned group_size, last_group_start;
 
 	for (i = 0; i < rs->md.raid_disks; i++)
